forrest-site-svn mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cross...@apache.org
Subject svn commit: r954372 [2/3] - in /forrest/site: ./ docs_0_90/ docs_0_90/howto/ docs_0_90/howto/cvs-ssh/ docs_0_90/howto/multi/ dtdx/ plan/ pluginDocs/ pluginDocs/plugins_0_70/ pluginDocs/plugins_0_80/ pluginDocs/plugins_0_90/ procedures/ procedures/relea...
Date Mon, 14 Jun 2010 05:47:20 GMT
Modified: forrest/site/pluginDocs/plugins_0_80/index.html
URL: http://svn.apache.org/viewvc/forrest/site/pluginDocs/plugins_0_80/index.html?rev=954372&r1=954371&r2=954372&view=diff
==============================================================================
--- forrest/site/pluginDocs/plugins_0_80/index.html (original)
+++ forrest/site/pluginDocs/plugins_0_80/index.html Mon Jun 14 05:47:18 2010
@@ -179,13 +179,13 @@ document.write("Last Published: " + docu
 <a href="#Whiteboard+Plugins">Whiteboard Plugins</a>
 <ul class="minitoc">
 <li>
-<a href="#Input+Plugins-N102CD">Input Plugins</a>
+<a href="#Input+Plugins-N10327">Input Plugins</a>
 </li>
 <li>
-<a href="#Output+Plugins-N10685">Output Plugins</a>
+<a href="#Output+Plugins-N1074B">Output Plugins</a>
 </li>
 <li>
-<a href="#Internal+Plugins-N1086E">Internal Plugins</a>
+<a href="#Internal+Plugins-N1096A">Internal Plugins</a>
 </li>
 </ul>
 </li>
@@ -279,10 +279,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.6</td>
 </tr>
 </table>
-<a name="N10057"></a><a name="org.apache.forrest.plugin.input.excel"></a>
+<a name="N1005D"></a><a name="org.apache.forrest.plugin.input.excel"></a>
 <h5>org.apache.forrest.plugin.input.excel</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -307,10 +316,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 </table>
-<a name="N10085"></a><a name="org.apache.forrest.plugin.input.feeder"></a>
+<a name="N10091"></a><a name="org.apache.forrest.plugin.input.feeder"></a>
 <h5>org.apache.forrest.plugin.input.feeder</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -335,10 +353,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 </table>
-<a name="N100B3"></a><a name="org.apache.forrest.plugin.input.listLocations"></a>
+<a name="N100C5"></a><a name="org.apache.forrest.plugin.input.listLocations"></a>
 <h5>org.apache.forrest.plugin.input.listLocations</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -364,10 +391,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 </table>
-<a name="N100E1"></a><a name="org.apache.forrest.plugin.input.OpenOffice.org"></a>
+<a name="N100F9"></a><a name="org.apache.forrest.plugin.input.OpenOffice.org"></a>
 <h5>org.apache.forrest.plugin.input.OpenOffice.org</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -392,10 +428,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.6</td>
 </tr>
 </table>
-<a name="N1010F"></a><a name="org.apache.forrest.plugin.input.PhotoGallery"></a>
+<a name="N1012D"></a><a name="org.apache.forrest.plugin.input.PhotoGallery"></a>
 <h5>org.apache.forrest.plugin.input.PhotoGallery</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -420,10 +465,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 </table>
-<a name="N1013D"></a><a name="org.apache.forrest.plugin.input.projectInfo"></a>
+<a name="N10161"></a><a name="org.apache.forrest.plugin.input.projectInfo"></a>
 <h5>org.apache.forrest.plugin.input.projectInfo</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -448,10 +502,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.6</td>
 </tr>
 </table>
-<a name="N1016B"></a><a name="org.apache.forrest.plugin.input.simplifiedDocbook"></a>
+<a name="N10195"></a><a name="org.apache.forrest.plugin.input.simplifiedDocbook"></a>
 <h5>org.apache.forrest.plugin.input.simplifiedDocbook</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -476,10 +539,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.6</td>
 </tr>
 </table>
-<a name="N10199"></a><a name="org.apache.forrest.plugin.input.wiki"></a>
+<a name="N101C9"></a><a name="org.apache.forrest.plugin.input.wiki"></a>
 <h5>org.apache.forrest.plugin.input.wiki</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -504,10 +576,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.6</td>
 </tr>
 </table>
-<a name="N101C7"></a><a name="org.rblasch.forrest.plugin.input.pod"></a>
+<a name="N101FD"></a><a name="org.rblasch.forrest.plugin.input.pod"></a>
 <h5>org.rblasch.forrest.plugin.input.pod</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -532,15 +613,24 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.7</td>
+          </th><td>Forrest-0.7
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.6</td>
 </tr>
 </table>
-<a name="N101F5"></a><a name="Output+Plugins"></a>
+<a name="N10231"></a><a name="Output+Plugins"></a>
 <h4>Output Plugins</h4>
 <p>
         Output plugins enable Forrest to produce documents in different formats.
       </p>
-<a name="N101FB"></a><a name="org.apache.forrest.plugin.output.pdf"></a>
+<a name="N10237"></a><a name="org.apache.forrest.plugin.output.pdf"></a>
 <h5>org.apache.forrest.plugin.output.pdf</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -565,10 +655,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.6</td>
 </tr>
 </table>
-<a name="N10229"></a><a name="org.apache.forrest.plugin.output.POD"></a>
+<a name="N1026B"></a><a name="org.apache.forrest.plugin.output.POD"></a>
 <h5>org.apache.forrest.plugin.output.POD</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -594,10 +693,24 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.9
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+              Other versions
+            </th><td>Older versions are available to suit this "0.8" version of Forrest. This will be detected automatically. For documentation, please browse.</td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.6</td>
 </tr>
 </table>
-<a name="N10257"></a><a name="org.apache.forrest.plugin.output.Text"></a>
+<a name="N102A5"></a><a name="org.apache.forrest.plugin.output.Text"></a>
 <h5>org.apache.forrest.plugin.output.Text</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -622,10 +735,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.6</td>
 </tr>
 </table>
-<a name="N10285"></a><a name="s5"></a>
+<a name="N102D9"></a><a name="s5"></a>
 <h5>s5</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -651,10 +773,19 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.7</td>
+          </th><td>Forrest-0.7
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 </table>
-<a name="N102B3"></a><a name="Internal+Plugins"></a>
+<a name="N1030D"></a><a name="Internal+Plugins"></a>
 <h4>Internal Plugins</h4>
 <p>
         Internal plugins change the core behaviour of Forrest.
@@ -662,7 +793,7 @@ document.write("Last Published: " + docu
 <p>
             No plugins of this type available.
           </p>
-<a name="N102BB"></a><a name="Whiteboard+Plugins"></a>
+<a name="N10315"></a><a name="Whiteboard+Plugins"></a>
 <h3 class="underlined_5">Whiteboard Plugins</h3>
 <div class="warning">
 <div class="label">Warning</div>
@@ -678,19 +809,19 @@ document.write("Last Published: " + docu
               You may need to perform some manual installation steps to use 
               them. See the plugin documentation for more details.</div>
 </div>
-<a name="N102CD"></a><a name="Input+Plugins-N102CD"></a>
+<a name="N10327"></a><a name="Input+Plugins-N10327"></a>
 <h4>Input Plugins</h4>
 <p>
         Input plugins enable Forrest to work with source documents in different
         formats.
       </p>
-<a name="N102D3"></a><a name="org.apache.forrest.plugin.input.baetle"></a>
-<h5>org.apache.forrest.plugin.input.baetle</h5>
+<a name="N1032D"></a><a name="org.apache.forrest.plugin.Database"></a>
+<h5>org.apache.forrest.plugin.Database</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
 <th width="25%">Description</th><td>
 <p>
-      Rendering Baetle, the RDF vocabulary to describe the content of  bug databases.
+      Read content from a relational database.
     </p>
 </td>
 </tr>
@@ -708,7 +839,60 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.9</td>
+          </th><td>Forrest-0.7
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
+</tr>
+<tr>
+<th class="warning" width="25%">
+              Warning
+            </th><td>
+              This plugin is in the whiteboard development area.
+              See notes in the <a href="#introduction">introduction</a> above.
+            </td>
+</tr>
+</table>
+<a name="N10362"></a><a name="org.apache.forrest.plugin.input.Blog"></a>
+<h5>org.apache.forrest.plugin.input.Blog</h5>
+<table class="ForrestTable" cellspacing="1" cellpadding="4">
+<tr>
+<th width="25%">Description</th><td>
+<p>
+      Use Forrest to publish a weblog
+    </p>
+</td>
+</tr>
+<tr>
+<th width="25%">Author</th><td>Apache Forrest Project</td>
+</tr>
+<tr>
+<th width="25%">Not yet published</th><td>
+            This plugin has not yet been deployed. Only available in the development SVN repository.
+          </td>
+</tr>
+<tr>
+<th width="25%">Latest Plugin version</th><td>0.1</td>
+</tr>
+<tr>
+<th width="25%">
+            Minimum Forrest version required
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -719,7 +903,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10302"></a><a name="org.apache.forrest.plugin.input.citations"></a>
+<a name="N10397"></a><a name="org.apache.forrest.plugin.input.citations"></a>
 <h5>org.apache.forrest.plugin.input.citations</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -744,7 +928,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -755,7 +948,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N1033B"></a><a name="org.apache.forrest.plugin.input.Daisy"></a>
+<a name="N103D6"></a><a name="org.apache.forrest.plugin.input.Daisy"></a>
 <h5>org.apache.forrest.plugin.input.Daisy</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -780,7 +973,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -791,7 +993,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10374"></a><a name="org.apache.forrest.plugin.input.doac"></a>
+<a name="N10415"></a><a name="org.apache.forrest.plugin.input.doac"></a>
 <h5>org.apache.forrest.plugin.input.doac</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -815,7 +1017,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -826,7 +1037,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N103A3"></a><a name="org.apache.forrest.plugin.input.doap"></a>
+<a name="N1044A"></a><a name="org.apache.forrest.plugin.input.doap"></a>
 <h5>org.apache.forrest.plugin.input.doap</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -851,7 +1062,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -862,7 +1082,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N103DC"></a><a name="org.apache.forrest.plugin.input.ecs"></a>
+<a name="N10489"></a><a name="org.apache.forrest.plugin.input.ecs"></a>
 <h5>org.apache.forrest.plugin.input.ecs</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -886,7 +1106,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -897,13 +1126,13 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N1040B"></a><a name="org.apache.forrest.plugin.input.foaf"></a>
-<h5>org.apache.forrest.plugin.input.foaf</h5>
+<a name="N104BE"></a><a name="org.apache.forrest.plugin.input.glossary"></a>
+<h5>org.apache.forrest.plugin.input.glossary</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
 <th width="25%">Description</th><td>
 <p>
-      Embed FOAF files in forrest content objects.
+      Enable glossary: a list of technical terms and definitions.
     </p>
 </td>
 </tr>
@@ -911,9 +1140,10 @@ document.write("Last Published: " + docu
 <th width="25%">Author</th><td>Apache Forrest Project</td>
 </tr>
 <tr>
-<th width="25%">Not yet published</th><td>
-            This plugin has not yet been deployed. Only available in the development SVN repository.
-          </td>
+<th width="25%">Website</th><td><a href="http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.input.glossary/">http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.input.glossary/</a></td>
+</tr>
+<tr>
+<th width="25%">Download URL:</th><td><a href="http://forrest.apache.org/plugins/">http://forrest.apache.org/plugins/</a></td>
 </tr>
 <tr>
 <th width="25%">Latest Plugin version</th><td>0.1</td>
@@ -921,7 +1151,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.9</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -932,13 +1171,13 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N1043A"></a><a name="org.apache.forrest.plugin.input.glossary"></a>
-<h5>org.apache.forrest.plugin.input.glossary</h5>
+<a name="N104FD"></a><a name="org.apache.forrest.plugin.input.Lenya"></a>
+<h5>org.apache.forrest.plugin.input.Lenya</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
 <th width="25%">Description</th><td>
 <p>
-      Enable glossary: a list of technical terms and definitions.
+      Allows content to be retrieved from a Lenya repository and skinned as part of a normal Forrest Content Object.
     </p>
 </td>
 </tr>
@@ -946,10 +1185,9 @@ document.write("Last Published: " + docu
 <th width="25%">Author</th><td>Apache Forrest Project</td>
 </tr>
 <tr>
-<th width="25%">Website</th><td><a href="http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.input.glossary/">http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.input.glossary/</a></td>
-</tr>
-<tr>
-<th width="25%">Download URL:</th><td><a href="http://forrest.apache.org/plugins/">http://forrest.apache.org/plugins/</a></td>
+<th width="25%">Not yet published</th><td>
+            This plugin has not yet been deployed. Only available in the development SVN repository.
+          </td>
 </tr>
 <tr>
 <th width="25%">Latest Plugin version</th><td>0.1</td>
@@ -957,7 +1195,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -968,7 +1215,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10473"></a><a name="org.apache.forrest.plugin.input.logs"></a>
+<a name="N10532"></a><a name="org.apache.forrest.plugin.input.logs"></a>
 <h5>org.apache.forrest.plugin.input.logs</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -995,7 +1242,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.7</td>
+          </th><td>Forrest-0.7
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1006,7 +1262,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N104AC"></a><a name="org.apache.forrest.plugin.input.odt"></a>
+<a name="N10571"></a><a name="org.apache.forrest.plugin.input.odt"></a>
 <h5>org.apache.forrest.plugin.input.odt</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1031,7 +1287,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1042,7 +1307,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N104E5"></a><a name="org.apache.forrest.plugin.input.Resume"></a>
+<a name="N105B0"></a><a name="org.apache.forrest.plugin.input.Resume"></a>
 <h5>org.apache.forrest.plugin.input.Resume</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1067,7 +1332,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1078,7 +1352,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10514"></a><a name="org.apache.forrest.plugin.input.serverStatus"></a>
+<a name="N105E5"></a><a name="org.apache.forrest.plugin.input.serverStatus"></a>
 <h5>org.apache.forrest.plugin.input.serverStatus</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1103,42 +1377,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
-</tr>
-<tr>
-<th class="warning" width="25%">
-              Warning
-            </th><td>
-              This plugin is in the whiteboard development area.
-              See notes in the <a href="#introduction">introduction</a> above.
-            </td>
-</tr>
-</table>
-<a name="N1054D"></a><a name="org.apache.forrest.plugin.input.skos"></a>
-<h5>org.apache.forrest.plugin.input.skos</h5>
-<table class="ForrestTable" cellspacing="1" cellpadding="4">
-<tr>
-<th width="25%">Description</th><td>
-<p>
-       Rendering SKOS, a set of specifications to support the representation of thesauri, classification schemes, taxonomies, etc.
-    </p>
-</td>
-</tr>
-<tr>
-<th width="25%">Author</th><td>Apache Forrest Project</td>
-</tr>
-<tr>
-<th width="25%">Not yet published</th><td>
-            This plugin has not yet been deployed. Only available in the development SVN repository.
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
           </td>
 </tr>
 <tr>
-<th width="25%">Latest Plugin version</th><td>0.1</td>
-</tr>
-<tr>
 <th width="25%">
-            Minimum Forrest version required
-          </th><td>0.9</td>
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1149,7 +1397,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N1057C"></a><a name="org.apache.forrest.plugin.input.tei"></a>
+<a name="N10624"></a><a name="org.apache.forrest.plugin.input.tei"></a>
 <h5>org.apache.forrest.plugin.input.tei</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1173,7 +1421,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1184,7 +1441,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N105AB"></a><a name="org.apache.forrest.plugin.input.XDoc"></a>
+<a name="N10659"></a><a name="org.apache.forrest.plugin.input.XDoc"></a>
 <h5>org.apache.forrest.plugin.input.XDoc</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1208,7 +1465,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1219,7 +1485,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N105DA"></a><a name="uk.ac.osswatch.forrest.input.features"></a>
+<a name="N1068E"></a><a name="uk.ac.osswatch.forrest.input.features"></a>
 <h5>uk.ac.osswatch.forrest.input.features</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1246,7 +1512,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1257,7 +1532,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10613"></a><a name="uk.ac.osswatch.forrest.input.ohloh"></a>
+<a name="N106CD"></a><a name="uk.ac.osswatch.forrest.input.ohloh"></a>
 <h5>uk.ac.osswatch.forrest.input.ohloh</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1282,7 +1557,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1293,7 +1577,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N1064C"></a><a name="uk.ac.osswatch.forrest.input.sourceforge"></a>
+<a name="N1070C"></a><a name="uk.ac.osswatch.forrest.input.sourceforge"></a>
 <h5>uk.ac.osswatch.forrest.input.sourceforge</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1318,7 +1602,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1329,12 +1622,56 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10685"></a><a name="Output+Plugins-N10685"></a>
+<a name="N1074B"></a><a name="Output+Plugins-N1074B"></a>
 <h4>Output Plugins</h4>
 <p>
         Output plugins enable Forrest to produce documents in different formats.
       </p>
-<a name="N1068B"></a><a name="org.apache.forrest.plugin.output.Anakia"></a>
+<a name="N10751"></a><a name="org.apache.forrest.plugin.OpenOffice.org-output"></a>
+<h5>org.apache.forrest.plugin.OpenOffice.org-output</h5>
+<table class="ForrestTable" cellspacing="1" cellpadding="4">
+<tr>
+<th width="25%">Description</th><td>
+<p>
+      Generate output in RTF format.
+    </p>
+</td>
+</tr>
+<tr>
+<th width="25%">Author</th><td>Apache Forrest Project</td>
+</tr>
+<tr>
+<th width="25%">Not yet published</th><td>
+            This plugin has not yet been deployed. Only available in the development SVN repository.
+          </td>
+</tr>
+<tr>
+<th width="25%">Latest Plugin version</th><td>0.1</td>
+</tr>
+<tr>
+<th width="25%">
+            Minimum Forrest version required
+          </th><td>Forrest-0.7
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
+</tr>
+<tr>
+<th class="warning" width="25%">
+              Warning
+            </th><td>
+              This plugin is in the whiteboard development area.
+              See notes in the <a href="#introduction">introduction</a> above.
+            </td>
+</tr>
+</table>
+<a name="N10786"></a><a name="org.apache.forrest.plugin.output.Anakia"></a>
 <h5>org.apache.forrest.plugin.output.Anakia</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1361,7 +1698,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1372,7 +1718,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N106C4"></a><a name="org.apache.forrest.plugin.output.Chart"></a>
+<a name="N107C5"></a><a name="org.apache.forrest.plugin.output.Chart"></a>
 <h5>org.apache.forrest.plugin.output.Chart</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1397,7 +1743,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.7</td>
+          </th><td>Forrest-0.7
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1408,7 +1763,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N106FD"></a><a name="org.apache.forrest.plugin.output.htmlArea"></a>
+<a name="N10804"></a><a name="org.apache.forrest.plugin.output.htmlArea"></a>
 <h5>org.apache.forrest.plugin.output.htmlArea</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1434,7 +1789,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.7</td>
+          </th><td>Forrest-0.7
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1445,23 +1809,26 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10736"></a><a name="org.apache.forrest.plugin.output.iCal"></a>
-<h5>org.apache.forrest.plugin.output.iCal</h5>
+<a name="N10843"></a><a name="org.apache.forrest.plugin.output.solr"></a>
+<h5>org.apache.forrest.plugin.output.solr</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
 <th width="25%">Description</th><td>
 <p>
-      Creates iCal .ics files from forrest xdoc.
+      Generates solr documents from xdos. Further when run with the dispatcher
+      it provides a GUI to manage your project in solr and a search interface to
+      search your solr server.
     </p>
 </td>
 </tr>
 <tr>
-<th width="25%">Author</th><td>Apache Forrest</td>
+<th width="25%">Author</th><td>Apache Forrest Project</td>
 </tr>
 <tr>
-<th width="25%">Not yet published</th><td>
-            This plugin has not yet been deployed. Only available in the development SVN repository.
-          </td>
+<th width="25%">Website</th><td><a href="http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.output.solr">http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.output.solr</a></td>
+</tr>
+<tr>
+<th width="25%">Download URL:</th><td><a href="http://forrest.apache.org/plugins/">http://forrest.apache.org/plugins/</a></td>
 </tr>
 <tr>
 <th width="25%">Latest Plugin version</th><td>0.1</td>
@@ -1469,7 +1836,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.9</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1480,13 +1856,13 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10765"></a><a name="org.apache.forrest.plugin.output.OOo"></a>
-<h5>org.apache.forrest.plugin.output.OOo</h5>
+<a name="N10882"></a><a name="org.apache.forrest.plugin.output.tei"></a>
+<h5>org.apache.forrest.plugin.output.tei</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
 <th width="25%">Description</th><td>
 <p>
-      Creates OpenOffice 2.4+ .odt output from forrest xdoc.
+      Create TEI Lite documents from Forrest content objects.
     </p>
 </td>
 </tr>
@@ -1504,7 +1880,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.9</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1515,15 +1900,14 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10794"></a><a name="org.apache.forrest.plugin.output.solr"></a>
-<h5>org.apache.forrest.plugin.output.solr</h5>
+<a name="N108B7"></a><a name="org.apache.forrest.plugin.output.voice"></a>
+<h5>org.apache.forrest.plugin.output.voice</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
 <th width="25%">Description</th><td>
 <p>
-      Generates solr documents from xdos. Further when run with the dispatcher
-      it provides a GUI to manage your project in solr and a search interface to
-      search your solr server.
+      Add voiceXML content to a Forrest page. This allows the page to be read by
+      a voice synthesiser and navigated with voice commands.
     </p>
 </td>
 </tr>
@@ -1531,7 +1915,7 @@ document.write("Last Published: " + docu
 <th width="25%">Author</th><td>Apache Forrest Project</td>
 </tr>
 <tr>
-<th width="25%">Website</th><td><a href="http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.output.solr">http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.output.solr</a></td>
+<th width="25%">Website</th><td><a href="http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.output.voice">http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.output.voice</a></td>
 </tr>
 <tr>
 <th width="25%">Download URL:</th><td><a href="http://forrest.apache.org/plugins/">http://forrest.apache.org/plugins/</a></td>
@@ -1542,7 +1926,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1553,18 +1946,18 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N107CD"></a><a name="org.apache.forrest.plugin.output.tei"></a>
-<h5>org.apache.forrest.plugin.output.tei</h5>
+<a name="N108F6"></a><a name="rtf-output"></a>
+<h5>rtf-output</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
 <th width="25%">Description</th><td>
 <p>
-      Create TEI Lite documents from Forrest content objects.
+      Generate output in RTF format.
     </p>
 </td>
 </tr>
 <tr>
-<th width="25%">Author</th><td>Apache Forrest</td>
+<th width="25%">Author</th><td>Apache Forrest Project</td>
 </tr>
 <tr>
 <th width="25%">Not yet published</th><td>
@@ -1577,7 +1970,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.7
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.6</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1588,25 +1990,24 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N107FC"></a><a name="org.apache.forrest.plugin.output.voice"></a>
-<h5>org.apache.forrest.plugin.output.voice</h5>
+<a name="N1092B"></a><a name="uk.ac.osswatch.forrest.themes"></a>
+<h5>uk.ac.osswatch.forrest.themes</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
 <th width="25%">Description</th><td>
 <p>
-      Add voiceXML content to a Forrest page. This allows the page to be read by
-      a voice synthesiser and navigated with voice commands.
+      A theme used by the Simal project.
     </p>
 </td>
 </tr>
 <tr>
-<th width="25%">Author</th><td>Apache Forrest Project</td>
+<th width="25%">Author</th><td>OSS Watch</td>
 </tr>
 <tr>
-<th width="25%">Website</th><td><a href="http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.output.voice">http://forrest.apache.org/pluginDocs/plugins_0_80/org.apache.forrest.plugin.output.voice</a></td>
+<th width="25%">Website</th><td><a href="http://code.google.com/p/simal">http://code.google.com/p/simal</a></td>
 </tr>
 <tr>
-<th width="25%">Download URL:</th><td><a href="http://forrest.apache.org/plugins/">http://forrest.apache.org/plugins/</a></td>
+<th width="25%">Download URL:</th><td><a href="http://simal.google.com/files/">http://simal.google.com/files/</a></td>
 </tr>
 <tr>
 <th width="25%">Latest Plugin version</th><td>0.1</td>
@@ -1614,7 +2015,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1625,24 +2035,72 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10835"></a><a name="uk.ac.osswatch.forrest.themes"></a>
-<h5>uk.ac.osswatch.forrest.themes</h5>
+<a name="N1096A"></a><a name="Internal+Plugins-N1096A"></a>
+<h4>Internal Plugins</h4>
+<p>
+        Internal plugins change the core behaviour of Forrest.
+      </p>
+<a name="N10970"></a><a name="org.apache.forrest.internal.GoogleSitemap"></a>
+<h5>org.apache.forrest.internal.GoogleSitemap</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
 <th width="25%">Description</th><td>
 <p>
-      A theme used by the Simal project.
+      Generates a google-sitemap for all pages in each site.
     </p>
 </td>
 </tr>
 <tr>
-<th width="25%">Author</th><td>OSS Watch</td>
+<th width="25%">Author</th><td>Apache Forrest Project</td>
 </tr>
 <tr>
-<th width="25%">Website</th><td><a href="http://code.google.com/p/simal">http://code.google.com/p/simal</a></td>
+<th width="25%">Not yet published</th><td>
+            This plugin has not yet been deployed. Only available in the development SVN repository.
+          </td>
 </tr>
 <tr>
-<th width="25%">Download URL:</th><td><a href="http://simal.google.com/files/">http://simal.google.com/files/</a></td>
+<th width="25%">Latest Plugin version</th><td>0.1</td>
+</tr>
+<tr>
+<th width="25%">
+            Minimum Forrest version required
+          </th><td>Forrest-0.7
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
+</tr>
+<tr>
+<th class="warning" width="25%">
+              Warning
+            </th><td>
+              This plugin is in the whiteboard development area.
+              See notes in the <a href="#introduction">introduction</a> above.
+            </td>
+</tr>
+</table>
+<a name="N109A5"></a><a name="org.apache.forrest.plugin.internal.DevTools"></a>
+<h5>org.apache.forrest.plugin.internal.DevTools</h5>
+<table class="ForrestTable" cellspacing="1" cellpadding="4">
+<tr>
+<th width="25%">Description</th><td>
+<p>
+      Provides various tools that are useful during the development of your Forrest based content object.
+    </p>
+</td>
+</tr>
+<tr>
+<th width="25%">Author</th><td>Apache Forrest Project</td>
+</tr>
+<tr>
+<th width="25%">Not yet published</th><td>
+            This plugin has not yet been deployed. Only available in the development SVN repository.
+          </td>
 </tr>
 <tr>
 <th width="25%">Latest Plugin version</th><td>0.1</td>
@@ -1650,7 +2108,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1661,12 +2128,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N1086E"></a><a name="Internal+Plugins-N1086E"></a>
-<h4>Internal Plugins</h4>
-<p>
-        Internal plugins change the core behaviour of Forrest.
-      </p>
-<a name="N10874"></a><a name="org.apache.forrest.plugin.internal.dispatcher"></a>
+<a name="N109DA"></a><a name="org.apache.forrest.plugin.internal.dispatcher"></a>
 <h5>org.apache.forrest.plugin.internal.dispatcher</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1692,7 +2154,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1703,7 +2174,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N108AD"></a><a name="org.apache.forrest.plugin.internal.IMSManifest"></a>
+<a name="N10A19"></a><a name="org.apache.forrest.plugin.internal.IMSManifest"></a>
 <h5>org.apache.forrest.plugin.internal.IMSManifest</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1730,7 +2201,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.7</td>
+          </th><td>Forrest-0.7
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.7</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1741,7 +2221,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N108E6"></a><a name="org.apache.forrest.plugin.internal.NoteTaking"></a>
+<a name="N10A58"></a><a name="org.apache.forrest.plugin.internal.NoteTaking"></a>
 <h5>org.apache.forrest.plugin.internal.NoteTaking</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1766,7 +2246,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">
@@ -1777,7 +2266,7 @@ document.write("Last Published: " + docu
             </td>
 </tr>
 </table>
-<a name="N10915"></a><a name="org.apache.forrest.plugin.internal.xhtml2"></a>
+<a name="N10A8D"></a><a name="org.apache.forrest.plugin.internal.xhtml2"></a>
 <h5>org.apache.forrest.plugin.internal.xhtml2</h5>
 <table class="ForrestTable" cellspacing="1" cellpadding="4">
 <tr>
@@ -1802,7 +2291,16 @@ document.write("Last Published: " + docu
 <tr>
 <th width="25%">
             Minimum Forrest version required
-          </th><td>0.8</td>
+          </th><td>Forrest-0.8
+            is required to use the most recent version of this plugin.
+          </td>
+</tr>
+<tr>
+<th width="25%">
+            Initial Forrest version
+          </th><td>
+            This plugin was first available for 
+            Forrest-0.8</td>
 </tr>
 <tr>
 <th class="warning" width="25%">

Modified: forrest/site/pluginDocs/plugins_0_80/index.pdf
URL: http://svn.apache.org/viewvc/forrest/site/pluginDocs/plugins_0_80/index.pdf?rev=954372&r1=954371&r2=954372&view=diff
==============================================================================
Binary files - no diff available.

Modified: forrest/site/pluginDocs/plugins_0_80/pluginInfrastructure.pdf
URL: http://svn.apache.org/viewvc/forrest/site/pluginDocs/plugins_0_80/pluginInfrastructure.pdf?rev=954372&r1=954371&r2=954372&view=diff
==============================================================================
Binary files - no diff available.

Modified: forrest/site/pluginDocs/plugins_0_80/usingPlugins.pdf
URL: http://svn.apache.org/viewvc/forrest/site/pluginDocs/plugins_0_80/usingPlugins.pdf?rev=954372&r1=954371&r2=954372&view=diff
==============================================================================
Binary files - no diff available.



Mime
View raw message